/* 
 * shade.h - This file contains declarations and definitions for the shader.
 *
 *  $Id: shade.h,v 1.11 2001/03/01 04:10:20 johns Exp $
 */

color lowest_shader(ray *);
color low_shader(ray *);
color medium_shader(ray *);
color full_shader(ray *);
color shade_reflection(ray *, vector *, vector *, flt);
color shade_transmission(ray *, vector *, flt);
flt shade_phong(ray * incident, vector * N, vector * L, flt specpower);
flt shade_phong_blinn(ray * incident, vector * N, vector * L, flt specpower);
